Subject: Re: [PATCH 1/2] ethtool: add dynamic flag to ETHTOOL_{GS}RXFH commands

From: "Keller, Jacob E" <[email-masked]>
Date: Fri, 5 Feb 2016 16:42:40 +0000

On Thu, 2016-02-04 at 19:30 -0500, David Miller wrote:
> From: "Keller, Jacob E" <[email-masked]>
> Date: Thu, 4 Feb 2016 23:09:56 +0000
> 
> > So you're suggesting instead, to error when the second operation
> > (change number of queues) would fail the current settings?
> 
> Yes.
> 
> This is absolutely required.

I will investigate this route. I think there needs to some way for the
{GS}RXFH to pass enough information in a way the driver can clearly see
as "reset to default", but otherwise I think this is pretty straight
forward to implement.

Thanks,
Jake